---
title: "getTaxForms-v2"
url: "https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625/operations/getTaxForms-v2"
---

> Full API specification: https://developers.zinnia.com/apis/documents-0-3-0/versions/43d1ee7b-44e7-4303-b0cd-ca813c63b625.md

# getTaxForms-v2

`GET` `/document/v2/taxForms`

Operation ID: `getTaxForms-v2`

This is an endpoint to get a list of tax-forms from SOVOS

## Query parameters

- `clientCode` (string, optional) - Client code for the carrier/client
- `contractNumber` (string, required) - Contract number for the document/tax-form
- `taxYear` (string, optional) - Tax-year for the form (defaults to current year-1)
- `numYears` (integer, int32, optional) - Number of years of forms to query in reverse chronological order from taxyear (incl). Min=1 and Max=5

## Header parameters

- `Authorization` (string, required) - Authorization token

## Responses

- `200` - OK
- `400` - Bad Request
- `401` - Unauthorized
- `404` - Not Found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Enterprise Documents API
  version: 3.0.0
servers:
  - url: https://dev.api.zinnia.io
    description: Dev Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
  - url: https://uat.api.zinnia.io
    description: UAT Environment
  - url: https://api.zinnia.io
    description: PROD Environment
paths:
  /document/v2/taxForms:
    get:
      operationId: getTaxForms-v2
      summary: ""
      description: This is an endpoint to get a list of tax-forms from SOVOS
      parameters:
        - name: Authorization
          required: true
          in: header
          example: Bearer <token>
          description: Authorization token
          schema:
            type: string
        - name: clientCode
          in: query
          example: EVGL
          description: Client code for the carrier/client
          schema:
            type: string
        - name: contractNumber
          required: true
          in: query
          description: Contract number for the document/tax-form
          example: "1234567898"
          schema:
            type: string
        - name: taxYear
          required: false
          in: query
          description: Tax-year for the form (defaults to current year-1)
          example: "2023"
          schema:
            type: string
        - name: numYears
          required: false
          in: query
          example: 1
          description: Number of years of forms to query in reverse chronological order
            from taxyear (incl). Min=1 and Max=5
          schema:
            minimum: 1
            maximum: 5
            default: 1
            type: integer
            format: int32
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/TaxFormsResponse200"
        "400":
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InlineResponse400"
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InlineResponse401"
        "404":
          description: Not Found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InlineResponse404"
      tags:
        - TaxForms V2
      security:
        - Auth0: []
security:
  - Auth0: []
components:
  schemas:
    TaxFormsResponse200:
      type: object
      properties:
        count:
          type: number
        items:
          type: array
          items:
            $ref: "#/components/schemas/TaxFormsResponse"
      required:
        - count
        - items
    InlineResponse400:
      type: object
      properties:
        xCorrelationId:
          type: string
        status:
          type: number
        errorDesc:
          type: string
        errorDetailedDesc:
          type: string
      required:
        - xCorrelationId
        - status
        - errorDesc
        - errorDetailedDesc
    InlineResponse401:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    InlineResponse404:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    TaxFormsResponse:
      type: object
      properties:
        contractNumber:
          type: string
          example: "1234567898"
          description: Contract number for the document/tax-form
        name:
          type: string
          example: 1099-R
          description: Name of the tax-form
        fChar:
          type: string
          example: R
          description: Unique string character associated with the tax-form name
        formId:
          type: string
          example: "123456"
          description: Form id for the tax-form
        taxYear:
          type: string
          example: "2023"
          description: Tax year for the tax-form
      required:
        - contractNumber
        - name
        - fChar
        - formId
        - taxYear
  securitySchemes:
    Auth0:
      type: openIdConnect
      openIdConnectUrl: https://login.zinnia.com/.well-known/openid-configuration
      x-kong-security-openid-connect:
        config:
          run_on_preflight: true
          scopes_claim:
            - https://api.zinnia.io/permissions
          audience_claim:
            - aud
          audience_required:
            - https://api.zinnia.io
          client_id:
            - bGOIRPRq2ZnjCujDXC7ikwR5ez7VH5GZ
          auth_methods:
            - bearer
          scopes: []
        enabled: true
        protocols:
          - grpc
          - grpcs
          - http
          - https
```
